package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OpenPlatformAuthBillApiEntryFactory
{
    private OpenPlatformAuthBillApiEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("9EB7A28D") ,com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry.class);
    }
    
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("9EB7A28D") ,com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("9EB7A28D"));
    }
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBillApiEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("9EB7A28D"));
    }
}